%define upstream_name    POE-Component-Server-Syslog
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Syslog server ability for POE
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(POE) >= 0.240.0
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::ParseDate)
BuildArch:  noarch

%description
This module follows the POE::Filter specification. Actually, it
technically supports both the older specification (C<get>) and the newer
specification (C<get_one>). If, at some point, POE deprecates the older
specification, this module will drop support for it. As such, only use
of the newer specification is recommended.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/000-signature.t
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.220.0-4.mga9
+ Revision: 1830206
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.220.0-3.mga8
+ Revision: 1505807
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.220.0-2.mga7
+ Revision: 1285468
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 1.220.0-1.mga7
+ Revision: 1132343
- update to 1.22

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1032564
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 929418
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 742436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 685827
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 513795
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 371283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 56683
- update to 1.20

* Sun Jan 23 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 34081
- mageia rebuild
- imported package perl-POE-Component-Server-Syslog

